SdFat: ArduinoSdFat/libraries/SdFat/src/iostream/iostream.h File Reference

SdFat

Classes | Functions
iostream.h File Reference

iostream class More...

`#include "istream.h"`
`#include "ostream.h"`
Include dependency graph for iostream.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | iostream
| Input/Output stream. More...
struct | setfill
| type for setfill manipulator More...
struct | setprecision
| type for setprecision manipulator More...
struct | setw
| type for setw manipulator More...

## Functions
ostream & | endl (ostream &os)
ostream & | flush (ostream &os)
ostream & | operator<< (ostream &os, const setfill &arg)
ostream & | operator<< (ostream &os, const setprecision &arg)
ostream & | operator<< (ostream &os, const setw &arg)
istream & | operator>> (istream &is, const setprecision &arg)
istream & | operator>> (istream &is, const setw &arg)
istream & | operator>> (istream &obj, const setfill &arg)
istream & | ws (istream &is)

## Detailed Description

iostream class

Copyright (c) 2011-2020 Bill Greiman This file is part of the SdFat library for SD memory cards.

MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Function Documentation

## ◆ endl()

ostream& endl | ( | ostream & | os | ) |
| inline

insert endline

Parameters

  [in] | os | The Stream

Returns
  The stream

## ◆ flush()

ostream& flush | ( | ostream & | os | ) |
| inline

flush manipulator

Parameters

  [in] | os | The stream

Returns
  The stream

## ◆ operator<<() [1/3]

ostream& operator<< | ( | ostream & | os,
|  | const setfill & | arg
| ) |  |
| inline

setfill manipulator

Parameters

  [in] | os | the stream
  [in] | arg | set setfill object

Returns
  the stream

## ◆ operator<<() [2/3]

ostream& operator<< | ( | ostream & | os,
|  | const setprecision & | arg
| ) |  |
| inline

setprecision manipulator

Parameters

  [in] | os | the stream
  [in] | arg | set setprecision object

Returns
  the stream

## ◆ operator<<() [3/3]

ostream& operator<< | ( | ostream & | os,
|  | const setw & | arg
| ) |  |
| inline

setw manipulator

Parameters

  [in] | os | the stream
  [in] | arg | set setw object

Returns
  the stream

## ◆ operator>>() [1/3]

istream& operator>> | ( | istream & | is,
|  | const setprecision & | arg
| ) |  |
| inline

setprecision manipulator

Parameters

  [in] | is | the stream
  [in] | arg | set setprecision object

Returns
  the stream

## ◆ operator>>() [2/3]

istream& operator>> | ( | istream & | is,
|  | const setw & | arg
| ) |  |
| inline

setw manipulator

Parameters

  [in] | is | the stream
  [in] | arg | set setw object

Returns
  the stream

## ◆ operator>>() [3/3]

istream& operator>> | ( | istream & | obj,
|  | const setfill & | arg
| ) |  |
| inline

setfill manipulator

Parameters

  [in] | obj | the stream
  [in] | arg | set setfill object

Returns
  the stream

## ◆ ws()

istream& ws | ( | istream & | is | ) |
| inline

Skip white space

Parameters

  [in] | is | the Stream

Returns
  The stream